diff --git a/changelog b/changelog
index 8db608b..4efff31 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090926 tpd src/axiom-website/patches.html 20090926.01.tpd.patch
+20090926 tpd src/interp/package.lisp cleanup
 20090925 tpd src/axiom-website/patches.html 20090925.03.tpd.patch
 20090925 tpd src/interp/modemap.lisp cleanup
 20090925 tpd src/axiom-website/patches.html 20090925.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index db92f88..a30738d 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2032,5 +2032,7 @@ src/interp/info.lisp cleanup<br/>
 src/interp/iterator.lisp cleanup<br/>
 <a href="patches/20090925.03.tpd.patch">20090925.03.tpd.patch</a>
 src/interp/modemap.lisp cleanup<br/>
+<a href="patches/20090926.01.tpd.patch">20090926.01.tpd.patch</a>
+src/interp/package.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/package.lisp.pamphlet b/src/interp/package.lisp.pamphlet
index c9cc4b6..690e323 100644
--- a/src/interp/package.lisp.pamphlet
+++ b/src/interp/package.lisp.pamphlet
@@ -26,6 +26,7 @@
 
 (DEFUN |processFunctorOrPackage|
        (|form| |signature| |data| |localParList| |m| |e|)
+  (declare (ignore |m|))
   (|processFunctor| |form| |signature| |data| |localParList| |e|))
 
 ;processPackage($definition is [name,:args],[$catsig,:argssig],code,locals,$e) ==
@@ -117,6 +118,7 @@
 
 (DEFUN |processPackage,opt| (|u| |alist|)
   (PROG (|a| |i| |v'|)
+  (declare (special |$QuickCode|))
     (RETURN
       (SEQ (IF (ATOM |u|) (EXIT |u|))
            (DO ((G166092 |u| (CDR G166092)) (|v| NIL))
@@ -144,6 +146,7 @@
 
 (DEFUN |processPackage,setPackageCode| (|locals|)
   (PROG (|locals''| |locals'| |u| |i| |u'| |precomp| |code|)
+  (declare (special |$QuickCode|))
     (RETURN
       (SEQ (SPADLET |locals'|
                     (PROG (G166117)
@@ -239,7 +242,9 @@
                 |$catNames| |argssig| |name| |args| |catvec| |u'|
                 |ISTMP#1| |ISTMP#2| |u''|)
     (DECLARE (SPECIAL $GENNO |$catsig| |$maximalViews| |$ResetItems|
-                      |$catvecList| |$catNames|))
+                      |$catvecList| |$catNames| |$getDomainCode|
+                      |$packagesUsed| |$functorLocalParameters|
+                      |$mutableDomain| |$domainShell|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |$catsig| (CAR G166239))
@@ -460,8 +465,8 @@
 
 (DEFUN |PackageDescendCode| (|code| |flag| |viewAssoc|)
   (PROG (|base| |codelist| |v| |condlist| |u2| |ISTMP#3| |cat| |c|
-                |name| |a| |ISTMP#1| |sig| |ISTMP#2| |implem| |u| |dom|
-                |body|)
+                |name| |a| |ISTMP#1| |sig| |ISTMP#2| |implem| |u| |dom| |body|)
+  (declare (special |$packagesUsed| |$ResetItems|))
     (RETURN
       (SEQ (COND
              ((NULL |code|) NIL)
@@ -732,6 +737,7 @@
 (DEFUN |encodeFunctionName| (|fun| |package| |signature| |sep| |count|)
   (PROG (|packageName| |arglist| |signature'| |reducedSig| |n| |x|
             |encodedSig| |encodedName|)
+  (declare (special |$lisplibSignatureAlist| $LISPLIB))
     (RETURN
       (SEQ (PROGN
              (SPADLET |packageName| (CAR |package|))
@@ -951,6 +957,7 @@
 
 (DEFUN |getAbbreviation| (|name| |c|)
   (PROG (|x| X N C |newAbbreviation|)
+  (declare (special |$abbreviationTable|))
     (RETURN
       (PROGN
         (SPADLET |x| (|constructor?| |name|))
